Skip to content

Returns a list of messages.

Request

Security
BearerAuth
Query
created_afterstring, (date)

Filter for conversations created after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Example:created_after=2022-01-01
created_beforestring, (date)

Filter for conversations created before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Example:created_before=1646151737080
GET
/v1/message_export
curl -i -X GET \
  'https://exports.dixa.io/v1/message_export?created_after=2022-01-01&created_before=1646151737080' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Array of messages

Bodyapplication/json
Array [
idstring, (uuid)

Id of the message

csidinteger, (int32)

Id of the conversation the message belongs to

created_atinteger, (int64)

Timestamp of when the message was created

initial_channelstring

The channel through which the communication was established

Example:"widgetchat"
author_namestring

Name of the author of the message

author_emailstring

Email of the author of the message

directionstring

Direction of the conversation

Enum:"inbound""outbound"
textstring

The full message text. Not relevant for PSTN phone and voicemail channels

from_phone_numberstring

Phone number the conversation was initiated from. Relevant only for PTSN phone and voicemail channels

to_phone_numberstring

Phone number the conversation was aimed for. Relevant only for PTSN phone and voicemail channels

durationnumber, (int64)

Length of the call/voicemail. Relevant only for PTSN phone and voicemail channels

recording_urlstring

Link to the recording of the call. Relevant only for PTSN phone channel

voicemail_urlstring

Link to the voicemail. Relevant only for voicemail channel

toArray of strings

Email address(es) a conversation was aimed for. Relevant only for email and contact form channels

fromstring

Email address a conversation was initiated from. Relevant only for email and contact form channels

ccArray of strings

Email address(es) included in the email as CC. Relevant only for email channel

bccArray of strings

Email address(es) included in the email as BCC. Relevant only for email channel

attached_filesArray of strings

Link(s) to files that have been attached to the message. Relevant only for email and Facebook Messenger channel

is_automated_messageboolean

Whether a message has been generated automatically or by an agent. Relevant only for widget chat

chat_input_questionstring

Input question initiating the conversation. Relevant only for widget chat

Example:"How can we help?"
chat_input_answerstring

Input answer initiating the conversation. Relevant only for widget chat

Example:"None of the above"
chat_menu_textstring

Menu text initiating the conversation. Relevant only for widget chat

Example:"Please input your order number."
form_submissionobject

Form submission associated with the message. Relevant only for Messenger and ContactForm channels

Example:
{ "name": "John Doe", "email": "johndoe@gmail.com", "phone": "+4512345678" }
]
Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "csid": 0, "created_at": 0, "initial_channel": "widgetchat", "author_name": "string", "author_email": "string", "direction": "inbound", "text": "string", "from_phone_number": "string", "to_phone_number": "string", "duration": 0, "recording_url": "string", "voicemail_url": "string", "to": [ … ], "from": "string", "cc": [ … ], "bcc": [ … ], "attached_files": [ … ], "is_automated_message": true, "chat_input_question": "How can we help?", "chat_input_answer": "None of the above", "chat_menu_text": "Please input your order number.", "form_submission": { … } } ]